﻿//<ШРИФТЫ>===========================================================================================================================================================================================

//<Подключаем шрифты>===========================================================================================================================================================================================
@import '_icons';
@import '_fonts';

$fontfamily: 'Montserrat';
//</Подключаем шрифты>===========================================================================================================================================================================================

//</ШРИФТЫ>==========================================================================================================================================================================================

//<ПЕРЕМЕННЫЕ>==========================================================================================================================================================================================
$minwidth: 320px;
$md0: 1170 + 20;
$md1: 1024;
$md2: 768;
$md3: 425;

//</ПЕРЕМЕННЫЕ>==========================================================================================================================================================================================
//<ОБНУЛЕНИЕ, ОБЩИЕ ПАРАМЕТРЫ>==========================================================================================================================================================================================
@import '_null';

body {
  color: #000;
  font-size: 10px;
  &._lock {
    overflow: hidden;
  }
}

//</ОБНУЛЕНИЕ, ОБЩИЕ ПАРАМЕТРЫ>==========================================================================================================================================================================================

//<ОБОЛОЧКА>==========================================================================================================================================================================================
.wrapper {
  width: 100%;
  min-height: 100vh;
}

//</ОБОЛОЧКА>==========================================================================================================================================================================================

//<ОСНОВНАЯ СЕТКА>==========================================================================================================================================================================================
.__container {
  max-width: $md0 + px;
  margin: 0 auto;
  padding: 0 10px;
}

//</ОСНОВНАЯ СЕТКА>==========================================================================================================================================================================================

//<ПОДКЛЮЧЕНИЕ ФАЙЛОВ UI СТИЛЕЙ, ФОРМ И ГОТОВЫХ КЛАССОВ>==========================================================================================================================================================================================
@import '_forms';
@import '_ui';
//<.ПОДКЛЮЧЕНИЕ ФАЙЛОВ UI СТИЛЕЙ, ФОРМ И ГОТОВЫХ КЛАССОВ>==========================================================================================================================================================================================

//<ПОДКЛЮЧЕНИЕ ФАЙЛОВ СТИЛЕЙ СТРАНИЦ И ЭЛЕМЕНТОВ>==========================================================================================================================================================================================
@import '_popup';
@import '_header';
@import '_footer';
@import '_home';
@import '_products';
@import '_product';
@import '_products-filter';
@import '_listing-items';

//</ПОДКЛЮЧЕНИЕ ФАЙЛОВ СТИЛЕЙ СТРАНИЦ И ЭЛЕМЕНТОВ>==========================================================================================================================================================================================

//<ОСНОВНОЙ БЛОК>==========================================================================================================================================================================================
.page {
  flex: 1 1 auto;
}

//==========================================================================================================================================================================================
.top-popup {
  position: relative;
  z-index: 9;
  &__item {
    padding: 16px 40px;
    background-color: #8dd3bc;
    display: none;
    p {
      font-size: 14px;
      line-height: 16px;
      color: #fff;
      font-weight: 500;
      text-align: center;
    }
    &.active {
      display: block;
    }
  }
  // .top-popup__close
  &__close {
    position: absolute;
    background-color: transparent;
    color: #000000;
    font-size: 14px;
    font-weight: 600;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
  }
  @media (max-width: $md2 + 'px') {
    &__close {
      font-size: 20px;
    }
  }
}

.marquee {
  width: 100%;
  overflow: hidden;
  div {
    display: flex;
  }
  // .marquee__links
  &__links {
    padding: 10px 0;
    display: block;
    font-size: 12px;
    color: #000;
    text-transform: uppercase;
    display: flex;
    &::after {
      content: '//';
      display: block;
      font-weight: 400;
      padding: 0 10px;
    }
    // .marquee__links_hot
    &_hot {
      font-weight: 700;
    }
  }
  @media (max-width: $md2 + 'px') {
    &__links {
      font-size: 10px;
    }
  }
}

//==========================================================================================================================================================================================

.sticky-box {
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 9999999;

  // .sticky-box__container
  &__container {
    height: 0;
    position: relative;
    max-width: 1440px;
  }
  &__row {
    position: absolute;
    bottom: 10px;
    right: 10px;
  }
  // .sticky-box__item
  &__item {
    &:not(:last-child) {
      margin-bottom: 10px;
    }
    a,
    button {
      display: block;
      width: 40px;
      height: 40px;
      border-radius: 50%;
      text-align: center;
      background-color: #fff;
      box-shadow: 0px 2px 8px rgba(0, 0, 0, 0.2);
      display: flex;
      align-items: center;
      justify-content: center;
      font-size: 16px;
      color: #333333;
      &.letter {
        svg {
          width: 20px;
        }
      }
      @media (max-width: $md2 + 'px') {
        width: 40px;
        height: 40px;
        font-size: 16px;
      }
    }
    // .sticky-box__item_gift
    &_gift {
      a,
      button {
        color: #fff;
        background-color: #e74c3c;
      }
    }
    &_to-top {
      a,
      button {
        color: #fff;
        background-color: #333333;
        font-size: 14px;
        &::before {
        }
      }
    }
  }
}

//</ОСНОВНОЙ БЛОК>==========================================================================================================================================================================================
.main-title {
  font-style: normal;
  font-weight: 500;
  font-size: 28px;
  line-height: 34px;
  color: #3e3e3e;
  padding-top: 30px;
  padding-bottom: 30px;
  @media (max-width: 1024px) {
    font-size: 24px;
    line-height: 30px;
  }
  @media (max-width: 768px) {
    font-size: 20px;
    line-height: 28px;
  }
  @media (max-width: 425px) {
    font-size: 18px;
    line-height: 24px;
  }
}

// =============
.gray-back {
  background: #f4f4f4;
  width: 100%;
  overflow: hidden;
}

// ====================================================================
.md-form-subscribe {
  background: #f6f6f6;
  padding: 92px 40px 75px;
  margin: 0 0 64px 0;
  @media (max-width: 900px) {
    padding: 40px;
  }
  .d-flex {
    width: 100%;
    max-width: 846px;
    margin: 0 auto;
    align-items: center;
    justify-content: space-between;
    @media (max-width: 900px) {
      flex-direction: column;
      max-width: 100%;
    }
    @media (max-width: 768px) {
    }
  }
  .form-check-label {
    font-size: 16px;
  }
  .form-group {
    position: relative;
  }
  .form-control {
    height: 54px;
    font-size: 16px;
    position: relative;
    border: 1px solid #dcdcdc;
  }
  // .md-form-subscribe__text
  &__text {
    flex-grow: 1;
    max-width: 400px;
    @media (max-width: 900px) {
      max-width: 100%;
      margin-bottom: 30px;
    }
    h3 {
      font-weight: 800;
      font-size: 40px;
      line-height: 1.4;
      text-transform: uppercase;
      color: #2e2e2e;
      margin-bottom: 18px;
    }
    p {
      font-weight: normal;
      font-size: 16px;
      line-height: 22px;
      color: #2e2e2e;
      max-width: 300px;
      margin: 0;
    }
    @media (max-width: 768px) {
      h3 {
        font-size: 30px;
      }
      p {
        font-size: 14px;
        line-height: 20px;
      }
    }
  }
  // .md-form-subscribe__fields
  &__fields {
    width: 100%;
    max-width: 360px;
    @media (max-width: 900px) {
      max-width: 100%;
    }
  }
  .form-check {
    margin-bottom: 30px;
    &.form-check-inline {
      margin-right: 34px;
    }
  }

  .btn-wrap {
    width: 100%;
    max-width: 846px;
    padding-top: 30px;
    margin: 0 auto 32px;
  }

  .telegram-news {
    margin: 0;
    font-weight: normal;
    font-size: 16px;
    line-height: 40px;
    text-align: center;
    color: #2e2e2e;
    .btn-link {
      margin-left: 13px;
      padding: 0;
      position: relative;
      top: -3px;
      &:hover {
        span {
          border-bottom: none;
        }
      }
      span {
        font-weight: normal;
        font-size: 16px;
        line-height: 40px;
        text-decoration: none;
        border-bottom: 1px solid;
        color: #2e2e2e;
      }
    }
  }
}
.d-flex {
  display: flex !important;
}
.form-check {
  position: relative;
  display: block;
  padding-left: 1.25rem;
}
.form-check-inline {
  display: inline-flex;
  align-items: center;
  padding-left: 0;
  margin-right: 0.75rem;
  .form-check-input {
    position: static;
    margin-top: 0;
    margin-right: 0.3125rem;
    margin-left: 0;
  }
}
.form-check-label {
  margin-bottom: 0;
}
.form-group {
  margin-bottom: 30px;
}
.form-control {
  display: block;
  width: 100%;
  padding: 0.375rem 0.75rem;
  font-size: 14px;
  font-weight: 400;
  line-height: 1.5;
  color: #495057;
  background-color: #fff;
  background-clip: padding-box;
  border: none;
  border-radius: 0;
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}
.divider {
  position: absolute;
  left: 50%;
  top: 100%;
  transform: translateX(-50%);
  font-weight: normal;
  font-size: 16px;
  color: #2e2e2e;
  margin-top: 2px;
}
.ajs {
}
.btn {
  display: inline-block;
  font-weight: 400;
  color: #212529;
  text-align: center;
  vertical-align: middle;
  cursor: pointer;
  user-select: none;
  border-radius: 0;
  background-color: transparent;
  box-shadow: none;
  border: 1px solid transparent;
  padding: 0.375rem 0.75rem;
  font-size: 14px;
  line-height: 1.5;
  transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}
.btn-primary {
  background-color: #282828;
  border-color: #282828;
  display: flex;
  height: 54px;
  align-items: center;
  font-weight: normal;
  font-size: 16px;
  text-align: center;
  width: 100%;
  justify-content: center;
  color: #fff;
}
.btn-link {
  font-weight: 400;
  color: #007bff;
  text-decoration: none;
  border-radius: 0;
  background-color: transparent;
  box-shadow: none;
  -webkit-appearance: none;
}
// ===========================================================
.md-top-action-line {
  position: relative;
  width: 100%;
  overflow: hidden;
  &.collapsed-mood {
    .inner-holder {
      max-width: 882px;
      padding: 0 40px;
      cursor: pointer;
      &:after,
      &:before {
        content: '';
        position: absolute;
        width: 18px;
        height: 18px;
        background: url(../img/icon-arrow-toggle.svg) no-repeat center;
        left: 15px;
        top: 50%;
        margin-top: -5px;
      }
      &:before {
        left: auto;
        right: 15px;
      }
    }
    .md-countdown {
      margin: 0 0 0 10px;
    }
  }
  &.bottom-fixed-line {
    position: fixed;
    left: 0;
    bottom: 0;
    z-index: 1100;
    width: 100%;
  }
  .top-info-banner {
    position: relative;
    color: inherit;
    background-color: inherit;

    &:after {
      content: '';
      position: absolute;
      left: 50%;
      height: 100%;
      background-color: inherit;
      transform: translateX(-50%);
      z-index: 1;
      width: 100vw;
      top: 0;
    }
  }
  .inner-holder {
    position: relative;
    z-index: 3;
    display: flex;
    align-items: center;
    justify-content: space-between;
    color: inherit;
    padding: 2px 0 3px;
    max-width: 1102px;
    margin: 0 auto;
    background-color: inherit;
    @media (max-width: 768px) {
      flex-wrap: wrap;
      justify-content: center;
    }
  }
  .item-text {
    font-style: normal;
    font-weight: normal;
    font-size: 14px;
    line-height: 17px;
    text-transform: uppercase;
    color: inherit;
    @media (max-width: 768px) {
      padding: 10px;
      text-align: center;
    }
  }
  .promo-code-wrap {
    position: relative;
    background-color: #000;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0 53px;
    @media (max-width: 768px) {
      display: none;
    }
    &::before {
      content: '';
      width: 0;
      height: 0;
      border-style: solid;
      border-width: 50px 30px 0 0;
      border-color: #c00 transparent transparent transparent;
      position: absolute;
      z-index: 3;
      top: 0;
      left: 0;
    }
    &::after {
      content: '';
      width: 0;
      height: 0;
      border-style: solid;
      border-width: 50px 30px 0 0;
      border-color: #c00 transparent transparent transparent;
      position: absolute;
      z-index: 3;
      top: 0;
      right: 0;
      transform: rotate(180deg);
    }
    .code-value {
      font-style: normal;
      font-weight: 600;
      font-size: 14px;
      text-align: center;
      letter-spacing: 0.075em;
      text-transform: uppercase;
      color: #000;
      padding: 4px 27px 5px;
      background-color: #fff;
      line-height: 17px;
    }
  }

  .md-countdown {
    display: flex;
    align-items: center;
    justify-content: center;
    color: #616161;
    color: inherit;
    @media (max-width: 768px) {
      padding: 10px;
    }
    .countdown-container {
      padding: 0;
      width: 33px;
      height: 33px;
      display: flex;
      align-items: center;
      justify-content: center;
      background-color: #000;
      border-radius: 6px;
      margin-left: 4px;
      &:first-child {
        margin-left: 0;
      }
      &:last-child {
        background-color: #575757;
      }
    }
    .countdown-value {
      font-style: normal;
      font-weight: 600;
      font-size: 14px;
      padding: 0;
      color: inherit;
      background-color: transparent;
      width: auto;
      height: auto;
      display: block;
      margin: 0;
    }
    .countdown-heading {
      font-style: normal;
      font-weight: 400;
      font-size: 14px;
      color: inherit;
      max-width: 9px;
      overflow: hidden;
      padding: 0;
      margin: 2px 0 0 0;
    }
  }
  .collapse-info-banner {
    padding: 18px 0 37px;
    text-align: center;
    position: relative;
    &:after {
      content: '';
      position: absolute;
      left: 50%;
      height: 100%;
      background-color: rgba(0, 0, 0, 0.9);
      transform: translateX(-50%);
      z-index: 1;
      width: 100vw;
      top: 0;
    }
    .collapsed-top-line {
      position: relative;
      display: inline-block;
      margin-bottom: 18px;
      padding: 0 78px;
      cursor: pointer;
      font-size: 16px;
      line-height: 20px;
      text-align: center;
      text-transform: uppercase;
      color: #fff;
      z-index: 3;
      &:after,
      &:before {
        content: '';
        position: absolute;
        width: 18px;
        height: 18px;
        background: url(../img/icon-arrow-toggle.svg) no-repeat center;
        left: 0;
        top: 0;
        margin-top: -3px;
        transform: rotate(180deg);
      }
      &:before {
        left: auto;
        right: 0;
      }
    }
    .banner-wrap {
      margin-bottom: 27px;
      position: relative;
      z-index: 2;
      img {
        margin: 0 auto;
        max-width: 100%;
        display: block;
      }
    }

    .banner-buttons-wrap {
      text-align: center;
      position: relative;
      z-index: 2;
      a {
        color: #fff;
        text-decoration: underline;
        font-weight: 600;
        font-size: 16px;
        line-height: 20px;
        display: inline-block;
        vertical-align: middle;
      }
    }

    .btn.btn-outline-primary {
      font-size: 16px;
      line-height: 20px;
      text-align: center;
      text-transform: uppercase;
      color: #fff;
      display: inline-block;
      vertical-align: middle;
      min-width: 340px;
      margin: 0 30px;
      border: 1px solid #fff;
      padding-bottom: 9px;
      padding-top: 9px;
      @media (max-width: 425px) {
        width: calc(100% - 20px);
        min-width: calc(100% - 20px);
        margin: 30px 10px;
      }
    }
  }
  .btn {
    display: inline-block;
    font-weight: 400;
    color: #212529;
    text-align: center;
    vertical-align: middle;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    border-radius: 0;
    background-color: transparent;
    box-shadow: none;
    -webkit-appearance: none;
    border: 1px solid transparent;
    padding: 0.375rem 0.75rem;
    font-size: 14px;
    line-height: 1.5;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
  }
  .btn-outline-primary {
    color: #2e2e2e;
    background-color: transparent;
    border-color: #282828;
  }
  .banner-hint {
    font-size: 12px;
    font-family: 'Montserrat', sans-serif;
    font-weight: 500;
    text-align: center;
    text-transform: none;
    border: 1px solid #000;
    color: #000;
    min-height: 40px;
    box-sizing: border-box;
    padding: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: rgba(250, 250, 250, 0.8);
    position: absolute;
    left: 0;
    bottom: 100%;
    margin-bottom: 8px;
    width: 100%;
    transition-duration: 0.15s;
    opacity: 0;
    transform: scale(0);
    z-index: 1000;
    &.show-hint {
      opacity: 1;
      transform: scale(1);
    }
  }
  &.revers-arrows {
    .inner-holder:after,
    .inner-holder:before {
      transform: rotate(180deg) !important;
      margin-top: -12px;
    }
    .collapse-info-banner .collapsed-top-line:after,
    .collapse-info-banner .collapsed-top-line:before {
      transform: rotate(0) !important;
      margin-top: 4px;
    }
  }
}

.breadcrumbs {
  font-size: 0.75rem;
  font-weight: 400;
  line-height: 1.125rem;
  padding: 30px 0 10px 0;
  // .breadcrumbs__list
  &__list {
    padding: 0;
    margin: 0;
    list-style: none;
    display: flex;
    align-items: center;
  }
  // .breadcrumbs__item
  &__item {
    position: relative;
    margin-right: 24px;
    display: inline-block;
    color: #848484;
    &:not(:last-child)::before,
    &:not(:last-child):after {
      content: '';
      display: block;
      width: 4px;
      height: 1px;
      background: #848484;
      position: absolute;
      right: -13px;
    }
    &::before {
      top: 10px;
      transform: rotate(-45deg);
    }
    &::after {
      top: 7px;
      transform: rotate(45deg);
    }
  }
  // .breadcrumbs__link
  &__link {
    &:hover {
      color: #000;
      text-decoration: underline;
    }
  }
}

.search-result-header {
  padding: 20px 0px;
  // .search-result-header__container
  &__container {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    h2 {
      font-weight: 600;
      color: #000;
      font-size: 1.125rem;
      padding-right: 10px;
      @media (min-width: 75rem) {
        font-size: 1.25rem;
      }
    }
    p {
      font-size: 0.75rem;
      color: #6f6f6f;
    }
  }
}

@import '_reg-form';
@import '_card';
@import '_favourites';
@import '_news';
@import '_news-item';
@import '_brand';
@import '_my-account';
@import '_checkout';
@import '_sidedrawer';
